using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Http;

namespace RegistroPersonalAN.Pages
{
    public class HostModel : PageModel
    {
        private readonly IHttpContextAccessor _httpContextAccessor;

        public HostModel(IHttpContextAccessor httpContextAccessor)
        {
            _httpContextAccessor = httpContextAccessor;
        }

        public void OnGet()
        {
            // Aquí puedes manejar el almacenamiento del token si es necesario
            var token = _httpContextAccessor.HttpContext?.Session.GetString("AuthToken");
            if (string.IsNullOrEmpty(token))
            {
                
            }
        }
    }
}
